RDCode: ForceFields::UFF::Utils Namespace Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Namespace List
- Namespace Members

# ForceFields::UFF::Utils Namespace Reference

## Functions
double | calcAngleForceConstant (double theta0, double bondOrder12, double bondOrder23, const AtomicParams *at1Params, const AtomicParams *at2Params, const AtomicParams *at3Params)
| Calculate the force constant for an angle bend.
double | calcBondRestLength (double bondOrder, const AtomicParams *end1Params, const AtomicParams *end2Params)
| calculates and returns the UFF rest length for a bond
double | calcBondForceConstant (double restLength, const AtomicParams *end1Params, const AtomicParams *end2Params)
| calculates and returns the UFF force constant for a bond
double | calcNonbondedMinimum (const AtomicParams *at1Params, const AtomicParams *at2Params)
| calculates and returns the UFF minimum position for a vdW contact
double | calcNonbondedDepth (const AtomicParams *at1Params, const AtomicParams *at2Params)
| calculates and returns the UFF well depth for a vdW contact
double | calculateCosTorsion (const RDGeom::Point3D &p1, const RDGeom::Point3D &p2, const RDGeom::Point3D &p3, const RDGeom::Point3D &p4)
| calculates and returns the cosine of a torsion angle

## Function Documentation

double ForceFields::UFF::Utils::calcAngleForceConstant | ( | double | theta0,
|  | double | bondOrder12,
|  | double | bondOrder23,
|  | const AtomicParams * | at1Params,
|  | const AtomicParams * | at2Params,
|  | const AtomicParams * | at3Params |
| ) |  |  |

Calculate the force constant for an angle bend.

The angle is between atom1 - atom2 - atom3

Parameters:

  | theta0 | the preferred value of the angle (in radians)
  | bondOrder12 | order of the bond between atoms 1 and 2 (as a double)
  | bondOrder23 | order of the bond between atoms 2 and 3 (as a double)
  | at1Params | pointer to the parameters for atom 1
  | at2Params | pointer to the parameters for atom 2
  | at3Params | pointer to the parameters for atom 3

double ForceFields::UFF::Utils::calcBondForceConstant | ( | double | restLength,
|  | const AtomicParams * | end1Params,
|  | const AtomicParams * | end2Params |
| ) |  |  |

calculates and returns the UFF force constant for a bond

Parameters:

  | restLength | the rest length of the bond
  | end1Params | pointer to the parameters for end1
  | end2Params | pointer to the parameters for end2

Returns:
  the force constant

double ForceFields::UFF::Utils::calcBondRestLength | ( | double | bondOrder,
|  | const AtomicParams * | end1Params,
|  | const AtomicParams * | end2Params |
| ) |  |  |

calculates and returns the UFF rest length for a bond

Parameters:

  | bondOrder | the order of the bond (as a double)
  | end1Params | pointer to the parameters for end1
  | end2Params | pointer to the parameters for end2

Returns:
  the rest length

double ForceFields::UFF::Utils::calcNonbondedDepth | ( | const AtomicParams * | at1Params,
|  | const AtomicParams * | at2Params |
| ) |  |  |

calculates and returns the UFF well depth for a vdW contact

Parameters:

  | at1Params | pointer to the parameters for end1
  | at2Params | pointer to the parameters for end2

Returns:
  the depth of the well

double ForceFields::UFF::Utils::calcNonbondedMinimum | ( | const AtomicParams * | at1Params,
|  | const AtomicParams * | at2Params |
| ) |  |  |

calculates and returns the UFF minimum position for a vdW contact

Parameters:

  | at1Params | pointer to the parameters for end1
  | at2Params | pointer to the parameters for end2

Returns:
  the position of the minimum

double ForceFields::UFF::Utils::calculateCosTorsion | ( | const RDGeom::Point3D & | p1,
|  | const RDGeom::Point3D & | p2,
|  | const RDGeom::Point3D & | p3,
|  | const RDGeom::Point3D & | p4 |
| ) |  |  |

calculates and returns the cosine of a torsion angle